Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes

Namespace AdvCallCenterClient
	Partial Public Class Login
		Inherits UserControl
		Public Sub New()
			InitializeComponent()
		End Sub
		Public Event OnSuccessfulLogin As EventHandler(Of EventArgs)
		Private Sub hlLogin_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			'validate the login
			Me.tbLoginStatus.Text = "Authentication in progress..."
			Me.IsEnabled = False
			Dim authService As New AuthenticationProxy.AuthenticationServiceClient()
			AddHandler authService.LoginCompleted, AddressOf authService_LoginCompleted
			authService.LoginAsync(Me.txRepID.Text, Me.pbPassword.Password, Nothing, False)
		End Sub

		Private Sub authService_LoginCompleted(ByVal sender As Object, ByVal e As AdvCallCenterClient.AuthenticationProxy.LoginCompletedEventArgs)
			Me.tbLoginStatus.Text = String.Empty
			If e.Result = True Then
				RaiseEvent OnSuccessfulLogin(Me, Nothing)
			Else
				Me.IsEnabled = True
				Me.tbLoginStatus.Text = "Invalid user id or password"
			End If

		End Sub
	End Class
End Namespace
