Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports AdvClientLibrary
Imports TcpMessages
Imports SilverlightPopups

Namespace AdvCallSimulator
	Partial Public Class Page
		Inherits UserControl
		Private _socketClient As New CallNetworkClient()
		Private _popup As OkPopup = Nothing
		Public Sub New()
			InitializeComponent()
			AddHandler _socketClient.OnReceive, AddressOf socketClient_OnReceive
			AddHandler _socketClient.OnConnectError, AddressOf _socketClient_OnConnectError
			_socketClient.Connect(4530)
			_popup = New OkPopup(Me, "Call is placed in the queue...")
		End Sub

		Private Sub _socketClient_OnConnectError(ByVal sender As Object, ByVal e As EventArgs)
			Me.tbStatus.Dispatcher.BeginInvoke(AddressOf AnonymousMethod1)
		End Sub
		Private Sub AnonymousMethod1()
			Me.tbStatus.Visibility = Visibility.Visible
			Me.tbStatus.Text = "Connect error..."
		End Sub
		Private Sub socketClient_OnReceive(ByVal sender As Object, ByVal e As ReceiveArgs)
			'do some errro handling here
			Dim msg As NetworkMessage = e.Result
			ProcessMessage(msg)
		End Sub
		Private Sub ProcessMessage(ByVal msg As NetworkMessage)
			_popup.CloseDialog()
			'do nothing
		End Sub
		Private Sub btPlaceCall_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim msg As New CallMessage(MessageAction.Call)
			msg.CallerName = Me.txCustomerName.Text
			msg.CallerPhone = Me.txPhoneNumber.Text
			msg.IvrData = Me.txOrderNumber.Text
			_socketClient.SendAsync(msg)
			_popup.ShowDialog(True)
		End Sub

	End Class
End Namespace
