Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports System.Windows.Threading

Namespace AdvCallCenterClient
	Partial Public Class Clock
		Inherits UserControl
		Private _secondTimer As New DispatcherTimer()
		Private _currentTime As DateTime = DateTime.Now
		Public Sub New()
			InitializeComponent()
			_secondTimer.Interval = New TimeSpan(0, 0, 1)
			AddHandler _secondTimer.Tick, AddressOf _timer_Tick
			_secondTimer.Start()
			RefreshDate()
			RefreshTime()
		End Sub

		Private Sub _dayTimer_Tick(ByVal sender As Object, ByVal e As EventArgs)
			RefreshDate()
		End Sub

		Private Sub _timer_Tick(ByVal sender As Object, ByVal e As EventArgs)
			_currentTime = _currentTime.AddSeconds(1.0)
			RefreshTime()
			If _currentTime.Hour = 0 AndAlso _currentTime.Minute = 0 AndAlso _currentTime.Second = 0 Then
				RefreshDate()
			End If
		End Sub
		Private Sub RefreshTime()
			Me.tbTime.Text = String.Format("{0:D2}:{1:D2}:{2:D2}", _currentTime.Hour, _currentTime.Minute, _currentTime.Second)
		End Sub
		Private Sub RefreshDate()
			Me.tbDate.Text = String.Format(String.Format("{0:D2}/{1:D2}/{2:D4}", _currentTime.Month, _currentTime.Day, _currentTime.Year))
		End Sub
	End Class
End Namespace
